aboutsummaryrefslogtreecommitdiffstats
path: root/testing/global/APKBUILD
diff options
context:
space:
mode:
authorDaniel Sabogal <dsabogalcc@gmail.com>2016-08-02 15:02:22 -0400
committerBartłomiej Piotrowski <b@bpiotrowski.pl>2016-08-03 12:22:24 +0200
commit424b4bcbcdc6a0a0b1c667e2bc551a16158864cc (patch)
treef1c3a5fa24842558de14ac8f55cf0d3c53c06d79 /testing/global/APKBUILD
parent75edf5bef157960b1d9281176e7804a78474ca30 (diff)
downloadaports-424b4bcbcdc6a0a0b1c667e2bc551a16158864cc.tar.gz
aports-424b4bcbcdc6a0a0b1c667e2bc551a16158864cc.tar.bz2
aports-424b4bcbcdc6a0a0b1c667e2bc551a16158864cc.tar.xz
testing/global: new aport
https://www.gnu.org/software/global/ Source code tagging system
Diffstat (limited to 'testing/global/APKBUILD')
-rw-r--r--testing/global/APKBUILD43
1 files changed, 43 insertions, 0 deletions
diff --git a/testing/global/APKBUILD b/testing/global/APKBUILD
new file mode 100644
index 0000000000..0609ad07d0
--- /dev/null
+++ b/testing/global/APKBUILD
@@ -0,0 +1,43 @@
+# Contributor: Daniel Sabogal <dsabogalcc@gmail.com>
+# Maintainer:
+pkgname=global
+pkgver=6.5.4
+pkgrel=0
+pkgdesc="A source code tag system"
+url="http://www.gnu.org/software/global"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="libltdl perl"
+install=""
+subpackages="$pkgname-doc"
+source="https://ftp.gnu.org/gnu/global/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir/$pkgname-$pkgver"
+build() {
+ cd "$builddir"
+ ./configure \
+ --prefix=/usr \
+ --localstatedir=/var \
+ --with-exuberant-ctags=/usr/bin/ctags \
+ --disable-gtagscscope \
+ || return 1
+ make check || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir/" install || return 1
+
+ install -d "$pkgdir"/usr/share/emacs/site-lisp
+ install -d "$pkgdir"/usr/share/vim/vimfiles/plugin
+ mv "$pkgdir"/usr/share/gtags/gtags.el "$pkgdir"/usr/share/emacs/site-lisp/gtags.el
+ mv "$pkgdir"/usr/share/gtags/gtags.vim "$pkgdir"/usr/share/vim/vimfiles/plugin/gtags.vim
+ mv "$pkgdir"/usr/share/gtags/gtags-cscope.vim "$pkgdir"/usr/share/vim/vimfiles/plugin/gtags-cscope.vim
+}
+
+md5sums="a6693598b4cd0890c648aa2cbfa92fe7 global-6.5.4.tar.gz"
+sha256sums="af16e0a686a46f759156cb685e25f345680703f43f93af1ce8d834caaf541da6 global-6.5.4.tar.gz"
+sha512sums="fe574b4b5fc0a289e500baffc90f57845653e874ba0d3271c1a17a92c91ccbfd5526517eab08d7a79a147687190ce4ed0a3524acb2bdd88eedaeeaa3221c8c0f global-6.5.4.tar.gz"